package com.example.class3_2;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

import java.util.ArrayList;

public class ShowActivity extends AppCompatActivity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.showactivity);

        ListView listView = findViewById(R.id.listView);

        // 获取从上一个界面传递过来的数据
        ArrayList<String> userList = getIntent().getStringArrayListExtra("userList");

        // 创建一个适配器，并设置给ListView
        ArrayAdapter<String> adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, userList);
        listView.setAdapter(adapter);
    }

    public void retrun(View view){
        Intent intent = new Intent(ShowActivity.this, MainActivity.class);
        startActivity(intent);

    }
}
